Skip to content

Delete multiple document attachments in bulk with a JSON or CSV input file. This works for version-specific attachments and attachments at the document level.

  • The maximum input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
  • The maximum batch size is 500.
DELETE/api/{version}/objects/documents/attachments/batch
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or text/csv or application/xml

Prepare a CSV or JSON input file.

NameDescription
id
conditional
The attachment ID to delete. Not required if providing a unique field identifier (idParam) such as external_id__v.
external_id__v
optional
Identify documents by their external ID instead of regular id. You must also add the idParam=external_id__v query parameter.
document_id__v
optional
The source document id value.
NameDescription
idParamIf you’re identifying attachments in your input by external id, add idParam=external_id__v to the request endpoint.
curl -X DELETE -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Documents\delete_attachments.csv" \ https://myvault.veevavault.com/api/v24.1/objects/documents/attachments/batch
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "id": 26 } ] }

On SUCCESS, the response returns the id of all successfully deleted attachments. You can only delete the latest version of an attachment.